Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class BatchRecordETD

    java.lang.Object
      com.stc.eways.batchext.BatchRecordETD

Direct Known Subclasses:
  BatchRecord

    public class BatchRecordETD

extends java.lang.Object

The BatchRecordETD class represents what is shown to the user in the collab. In addition to the default methods we have to implement from SimpleETDImpl this is also where we expose the additional custom functions exposed to the user (e.g. get(), put()) as well as the glue code to make the collab editor work.

Version:
  $Revision: 1.10 $
Author:
  jim.fu@sun.com
See Also:
  `BatchRecordConnector`

Constructor Summary
`BatchRecordETD()` Defalt c'tor - create a new instance initializing everything to default values.

Method Summary
`void` | `finish()` ETD method: Called to finish the parse or create process
`boolean` | `get()`
`BatchRecordConfiguration` | `getConfiguration()`
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`byte[]` | `getPayload()`
`byte[]` | `getRecord()`
`void` | `initialize(java.util.Properties p)`
`void` | `put()` ETD method: Called to append the record in the record attribute to the output.
`boolean` | `reset()` Resets the data content of an ETD.
`void` | `setConfiguration(BatchRecordConfiguration cfg)`
`void` | `setInputStreamAdapter(com.stc.eways.common.eway.standalone.streaming.InputStreamAdapter isa)`
`void` | `setOutputStreamAdapter(com.stc.eways.common.eway.standalone.streaming.OutputStreamAdapter osa)`
`void` | `setPayload(byte[] data)`
`void` | `setRecord(byte[] data)`
`void` | `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchRecordETD

    public BatchRecordETD()

  Defalt c'tor - create a new instance initializing everything to default values.

Method Detail

### initialize

    public void initialize(java.util.Properties p)
                    throws BatchException,
                           BatchCFGException

  Parameters:
    `p` -
  Throws:
    `BatchException`
    `BatchCFGException`

### reset

    public boolean reset()
                  throws BatchException

  Resets the data content of an ETD.

  Returns:
    `false` if the ETD doesn't have a meaningful implementation of `reset()`; so do a `new` of the ETD instead. Otherwise, return `true` if the reset will clear the data content of the ETD.
  Throws:
    `BatchException`

### terminate

    public void terminate()
                   throws BatchException

  Throws:
    `BatchException`

### get

    public boolean get()
                throws BatchException

  Returns:
  Throws:
    `BatchException`

### put

    public void put()
             throws BatchException

  ETD method: Called to append the record in the record attribute to the output.

  Throws:
    `BatchException,` - BatchException
    `BatchException`

### finish

    public void finish()
                throws BatchException

  ETD method: Called to finish the parse or create process

  Throws:
    `BatchException`

### setOutputStreamAdapter

    public void setOutputStreamAdapter(com.stc.eways.common.eway.standalone.streaming.OutputStreamAdapter osa)
                                throws BatchException

  Throws:
    `BatchException`

### setInputStreamAdapter

    public void setInputStreamAdapter(com.stc.eways.common.eway.standalone.streaming.InputStreamAdapter isa)
                               throws BatchException

  Throws:
    `BatchException`

### getPayload

    public byte[] getPayload()
                      throws BatchException

  Throws:
    `BatchException`

### setPayload

    public void setPayload(byte[] data)
                    throws BatchException

  Throws:
    `BatchException`

### getRecord

    public byte[] getRecord()
                     throws BatchException

  Throws:
    `BatchException`

### setRecord

    public void setRecord(byte[] data)
                   throws BatchException

  Throws:
    `BatchException`

### getConfiguration

    public BatchRecordConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(BatchRecordConfiguration cfg)

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD